import request from '@/config/axios'

// 项目管理 VO
export interface ProjectVO {
  id: number // 主键
  code: number // 编码
  name: string // 名称
}

// 项目管理 API
export const ProjectApi = {
  // 查询项目管理分页
  getProjectPage: async (params: any) => {
    return await request.get({ url: `/hr/project/page`, params })
  },

  // 查询项目管理详情
  getProject: async (id: number) => {
    return await request.get({ url: `/hr/project/get?id=` + id })
  },

  // 新增项目管理
  createProject: async (data: ProjectVO) => {
    return await request.post({ url: `/hr/project/create`, data })
  },

  // 修改项目管理
  updateProject: async (data: ProjectVO) => {
    return await request.put({ url: `/hr/project/update`, data })
  },

  // 删除项目管理
  deleteProject: async (id: number) => {
    return await request.delete({ url: `/hr/project/delete?id=` + id })
  },

  // 导出项目管理 Excel
  exportProject: async (params) => {
    return await request.download({ url: `/hr/project/export-excel`, params })
  },
}
